using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerController : MonoBehaviour
{
    Rigidbody2D rbody;          // Rigidbody2Dの型
    float axisH = 0.0f;         // 入力
    public float speed = 3.0f;  //移動速度

    // Start is called before the first frame update
    void Start()
    {
        // PlayerのRigidbody2Dを取ってくる
        rbody = this.GetComponent<Rigidbody2D>();
    }

    // Update is called once per frame
    void Update()
    {
        //水平方向の入力を取得
        axisH = Input.GetAxisRaw("Horizontal");
    }

    
    private void FixedUpdate()
    {
        // 速度を更新する
        rbody.velocity = new Vector2(speed * axisH, rbody.velocity.y);
    }
}
